<?php
include 'core/sys.php';
include 'core/func_smiles.php';
include 'core/func_time.php';
head('Клан');
reg();
$new_clan = 45000;
/* Приглашение в клан */
	if(isset($_GET['invite']) AND !empty($_GET['ank']) AND $user['clan']>0){
	$ank_id = int($_GET['ank']);
	$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$ank_id."' LIMIT 1"));
		if(!$ank){
		echo '<div id="error">Такого пользователя не существует</div>';
		foot();
		exit;
		}
		if($ank['clan']>0){
		echo '<div id="error">Этот игрок уже состоит в клане!</div>';
		foot();
		exit;
		}
	$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1"));
		if($clan['komandir'] != $user['id'] or $user['clan']==0){
		header('Location: clan.php');
		exit;
		}
	$test_member = mysql_result(mysql_query("SELECT COUNT(id) FROM `users` WHERE `clan`='".$clan['id']."'"),0);
		if($test_member >= $clan['member_limit']){
		echo '<div id="error">Этот клан достиг лимита по набору!</div>';
		foot();
		exit;		
		}
	$last_inv_t = mysql_fetch_assoc(mysql_query("SELECT `time` FROM `clan_invite` WHERE `to_clan`='".$user['clan']."' LIMIT 1"));
		if($last_inv_t['time']+600 > time()){
		$time_inv = $last_inv_t['time']+600 -time();
		echo '<div id="error">Следующее приглашение возможно через '.Sec2Time($time_inv).'</div>';
		foot();
		exit;		
		}
	$test_invite = mysql_result(mysql_query("SELECT COUNT(id) FROM `clan_invite` WHERE `to_clan`='".$user['clan']."' AND `invited`='".$ank['id']."'"),0);
		echo '<div class="row"> <a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a> отправлена завяка на вступление в клан!</div>';
		if($test_invite ==0){
	mysql_query("INSERT INTO `clan_invite` SET
	`to_clan`='".$user['clan']."',
	`invited`='".$ank['id']."',
	`time`='".time()."'");
	}else{
	mysql_query("UPDATE `clan_invite`
	SET `time`='".time()."' 
	WHERE `to_clan`='".$user['clan']."' AND `invited`='".$ank['id']."'");
	}
	mysql_query("INSERT INTO `journal`
	SET `user_id`='".$ank['id']."',
	`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> пригласилл Вас в клан <a href=\"clan.php?clan=".$clan['id']."\">".$clan['name']."</a><br>
	<a id=\"link_button\" href=\"clan.php?get_invite&amp;clan=".$user['clan']."\">Вступить</a>',
	`time`='".time()."'");
	mysql_query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$ank['id']."'");
	foot();
	exit;
	}
/* Выход */
	if(isset($_GET['exit']) AND $user['clan']>0){
	$test_komand = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1"));
	$glava = mysql_fetch_assoc(mysql_query("SELECT `id`,`login` FROM `users` WHERE `id`='".$test_komand['komandir']."'"));
		if($test_komand['komandir']==$user['id']){
		echo '<div id="error">Глава клана не может покинуть клан!</div>';
		foot();
		exit;
		}
		echo '<div class="row">Покинуть клан <b>'.$test_komand['name'].'</b>?<br>
		<a id="link_button" href="clan.php?exit&amp;yes">Да</a> <a id="link_button" href="clan.php?clan='.$test_komand['id'].'">Нет</a></div>';
			if(isset($_GET['yes'])){
		mysql_query("INSERT INTO `clan_stena` SET
		`clan_id`='".$user['clan']."',
		`user_id`='".$glava['id']."',
		`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> покидает клан!',
		`time`='".time()."'");
		mysql_query("UPDATE `users` SET `clan`=0,`clan_oput`=0 WHERE `id`='".$user['id']."'");
		header('Location: clan.php?clan='.$test_komand['id']);
	}
	foot();
	exit;
	}
	
	
	
	
/* Клан */
	if(!empty($_GET['clan'])){
	$clan_id  =  int($_GET['clan']);
	$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `id`='".$clan_id."'"));
		if(!$clan){
		echo '<div id="error">Такого клана нет.</div>';
		foot();
		exit;
		}
		$glava = mysql_fetch_assoc(mysql_query("SELECT `login`,`id` FROM `users` WHERE `id`='".$clan['komandir']."' LIMIT 1"));
		$clan_mp = $clan['level']*40;
		$clan_hp = $clan['level']*20;
		$cena_crit = 250*$clan['level'];
		$time_crit = 45*2*$clan['level'];
		$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `users` WHERE `clan`='".$clan_id."'"),0);
		
	/* Управление кланом*/
	if(isset($_GET['glava']) AND $clan['komandir']==$user['id']){
	echo '<div class="name">Управление кланом <a href="clan.php?clan='.$clan['id'].'">'.$clan['name'].'</a></div><div class="row">';
			if(isset($_GET['del_clan'])){
			echo 'Вы действительно хотите удалить клан и выгнать всех участников?<br>
			<a id="link_button" href="clan.php?clan='.$clan_id.'&amp;glava&amp;del_clan&amp;yes">Да</a> <a id="link_button" href="clan.php?clan='.$clan_id.'&amp;glava&amp;del_clan&amp;no">Нет</a></div>';
				if(isset($_GET['yes'])){
				unlink('img/clan/'.$clan_id.'.'.$clan['img']);
				mysql_query("UPDATE `users` SET `clan`=0,`clan_oput`=0 WHERE `clan`='".$clan_id."'");
				mysql_query("DELETE FROM `clan` WHERE `id`='".$clan_id."'");
				mysql_query("DELETE FROM `clan_invite` WHERE `clan_to`='".$clan_id."'");
				echo '<div id="ok">Клан успешно удален</div>';
				}elseif(isset($_GET['no'])){
				header("Location: clan.php?clan=".$clan_id);
				}
		foot();
		exit;
		}
		if(isset($_GET['edit_opis'])){
			if(empty($_POST['opis'])){
			echo '<form action="clan.php?clan='.$clan_id.'&glava&edit_opis" method="post">
			Изменить описание:<br>
			<textarea name="opis"></textarea><br>
			<input type="submit" value="Изменить">
			</form>';
			}else{
			$opis = protect($_POST['opis']);
			mysql_query("UPDATE `clan` SET `opis`='".$opis."' WHERE `id`='".$clan_id."'");
			header("Location: clan.php?clan=".$clan_id);
			}
		}
			
			if(isset($_GET['stena_del'])){
			mysql_query("DELETE FROM `clan_stena` WHERE `clan_id`='".$clan_id."'");
			header("Location: clan.php?clan=".$clan_id);
			exit;
			}	
		if(isset($_GET['del']) AND !empty($_GET['ank'])){
		$ank_id = int($_GET['ank']);
		$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$ank_id."' AND `clan`='".$clan_id."' LIMIT 1"));
			if(!$ank){
			echo '<div id="error">Такого пользователя не существует</div>';
			foot();
			exit;
			}
		if($ank['id']==$clan['komandir']){
		echo 'Нельзя';
		foot();
		exit;
		}
		mysql_query("INSERT INTO `clan_stena` SET
		`clan_id`='".$clan_id."',
		`clan_oput`=0,
		`user_id`='".$clan['komandir']."',
		`text`='<a href=\"pers.php?ank=".$ank['id']."\">".$ank['login']."</a> выгнан из клана!',
		`time`='".time()."'");
		mysql_query("UPDATE `users` SET `clan`=0 WHERE `id`='".$ank['id']."'");
		header("Location: clan.php?clan=".$clan_id);
		foot();
		exit;
		}
		if(isset($_GET['add_bonus'])){
		$cena_bonus = 25000;
				if($clan['kazna']< $cena_bonus){
				echo '</div><div id="error">Заходите сюда когда у Вас  а казне будет хотябы <img src="img/money/money.png"> '.$cena_bonus.'</div>';
				foot();
				exit;
				}
			if(isset($_GET['capital'])){
				if($clan['capital']>=10){
				echo '<div id="error">Максимальный лимит Капитализма 10%.</div>';
				foot();
				exit;
				}
			mysql_query("UPDATE `clan` SET `capital`=`capital`+1,
			`kazna`=`kazna`-".$cena_bonus." WHERE `id`='".$user['clan']."'");
			echo 'Капитализм увеличен на 1%!</div>';
			foot();
			exit;
			}	
			if(isset($_GET['oput'])){
				if($clan['oput_add']>=10){
				echo '<div id="error">Максимальный лимит Высшее учение 10%.</div>';
				foot();
				exit;
				}
			mysql_query("UPDATE `clan` SET `oput_add`=`oput_add`+1,
			`kazna`=`kazna`-".$cena_bonus." WHERE `id`='".$user['clan']."'");
			echo 'Высшее учение увеличено на 1%!</div>';
			foot();
			exit;
			}				
			if(isset($_GET['memb'])){
				if($clan['member_limit']>=50){
				echo '<div id="error">Максимальный лимит участников клана 50 человек.</div>';
				foot();
				exit;
				}
			mysql_query("UPDATE `clan` SET `member_limit`=`member_limit`+5,
			`kazna`=`kazna`-".$cena_bonus." WHERE `id`='".$user['clan']."'");
			echo 'Лимит участников повышен на 5!</div>';
			foot();
			exit;
			}
			if(isset($_GET['magaz'])){
				if($clan['ekonom_magaz']>=5){
				echo '<div id="error">Максимальный лимит Экономики 5%.</div>';
				foot();
				exit;				
				}
			mysql_query("UPDATE `clan` SET `ekonom_magaz`=`ekonom_magaz`+1,
			`kazna`=`kazna`-".$cena_bonus." WHERE `id`='".$user['clan']."'");
			echo 'Экономика клана увеличина на 1!</div>';
			foot();
			exit;
			}	
			if(isset($_GET['str'])){
				if($clan['str_add']>=5){
				echo '<div id="error">Максимальный лимит Единство клана 5%.</div>';
				foot();
				exit;				
				}
			mysql_query("UPDATE `clan` SET `str_add`=`str_add`+1,
			`kazna`=`kazna`-".$cena_bonus." WHERE `id`='".$user['clan']."'");
			echo 'Единство клана увеличено на 1!</div>';
			foot();
			exit;
			}			
		echo 'Стоимость любого бонуса - <img src="img/money/money.png"> '.$cena_bonus.'<br>';
		echo '<a href="clan.php?clan='.$clan_id.'&glava&amp;add_bonus&amp;memb">Увеличить кол-во участников на 5 чел</a><br>
		<a href="clan.php?clan='.$clan_id.'&glava&amp;add_bonus&amp;magaz">Увеличить Экономику на 1%</a><br>
		<a href="clan.php?clan='.$clan_id.'&glava&amp;add_bonus&amp;oput">Увеличить Высшее учение на 1%</a><br>
		<a href="clan.php?clan='.$clan_id.'&glava&amp;add_bonus&amp;capital">Увеличить Капитализм на 1%</a><br>
		<a href="clan.php?clan='.$clan_id.'&glava&amp;add_bonus&amp;str">Увеличить Единство на 1%</a><br>-----<br>';
		}
	echo '<a href="clan.php?clan='.$clan_id.'&amp;glava&amp;edit_opis">Изменить описание</a><br>
	<a href="clan.php?clan='.$clan_id.'&amp;glava&amp;add_bonus">Увеличить бонусы</a><br>
	<a href="clan.php?clan='.$clan_id.'&amp;glava&amp;del_clan">Распустить клан</a>';
	echo '</div>';
	foot();
	exit;
	}
	/* Вступление в клан */
	if(isset($_GET['get_invite'])){
	$invite = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan_invite` WHERE `to_clan`='".$clan_id."' AND `invited`='".$user['id']."'"));
		if($invite){
		mysql_query("DELETE FROM `clan_invite` WHERE `to_clan`='".$clan_id."' AND `invited`='".$user['id']."'");
		mysql_query("UPDATE `users` SET `clan`='".$clan_id."' WHERE `id`='".$user['id']."'");
		mysql_query("INSERT INTO `clan_stena` SET
		`clan_id`='".$clan_id."',
		`user_id`='".$glava['id']."',
		`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> вступает в клан!',
		`time`='".time()."'");
		header("Location: clan.php?clan=".$clan_id);		
		}else{
		header("Location: index.php");
		}
	foot();
	exit;
	}
	/* Написать на стену */	
	if(isset($_GET['stena']) AND !empty($_POST['text'])){
		if($user['clan'] != $clan_id){
		echo '<div id="error">На стену могут писать только участники клана</div>';
		foot();
		exit;
		}
	$text = protect($_POST['text']);
	mysql_query("INSERT INTO `clan_stena` SET
	`clan_id`='".$clan_id."',
	`user_id`='".$user['id']."',
	`text`='".$text."',
	`time`='".time()."'");
	header("Location: clan.php?clan=".$clan_id);
	exit;
	}
	/* Бонусы клана */
	if(isset($_GET['bonus'])){
	echo '<div class="name">Бонусы клана <a href="clan.php?clan='.$clan['id'].'">'.$clan['name'].'</a></div>
	<div class="row"><img src="img/other/clan_limit.png"> Лимит участников клана '.$clan['member_limit'].' из 50<br>
	<span style="font-size: 83%;">Позволяет увеличить кол-во участников клана.</span><br></div>
	<div class="row"><img src="img/other/clan_edin.png"> Единство '.$clan['str_add'].'% из 5%<br>
	<span style="font-size: 83%;">Увеличивает атаку в бою против монстров</span><br></div>
	<div class="row"><img src="img/other/clan_econom.png"> Экономика '.$clan['ekonom_magaz'].'% из 5%<br>
	<span style="font-size: 83%;">Снижает цену на покупку предметов в магазине</span><br></div>
	<div class="row"><img src="img/other/clan_uch.png"> Высшее учение '.$clan['oput_add'].'% из 10%<br>
	<span style="font-size: 83%;">Увеличивает получаемый опыт участников клана в бою</span><br></div>
		<div class="row"><img src="img/other/clan_capital.png"> Капитализм '.$clan['capital'].'% из 10%<br>
	<span style="font-size: 83%;">Увеличивает кол-во получаемого золота из монстров.</span><br></div>
	</div>';
	foot();
	exit;	
	}
	/* Участники */
	if(isset($_GET['member'])){
	$member_q = mysql_query("SELECT `id`,`login`,`level`,`clan_oput` FROM `users` WHERE `clan`='".$clan_id."' ORDER BY `clan_oput` DESC LIMIT ".$page.",".$set['str']." ");
	echo '<div class="name">Участники клана: <a href="clan.php?clan='.$clan['id'].'">'.$clan['name'].'</a></div><div class="row">';
	$i=0;
		$i+=$page;
		while($member = mysql_fetch_assoc($member_q)){
		++$i;
	
		$rang = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan_rang` WHERE `oput2`>='".$member['clan_oput']."' ORDER BY `id` LIMIT 1"));
		echo $i.'.<a href="pers.php?ank='.$member['id'].'">'.$member['login'].'</a>['.$member['level'].'] <img src="img/stat/oput.png"> '.$member['clan_oput'].' <img src="img/rang/'.$rang['id'].'.jpg"> ,'.$rang['name'].'';
			if($clan['komandir']==$user['id'] AND $member['id'] !=$clan['komandir']){
			
			echo '<span style="float: right;">[<a href="clan.php?clan='.$clan_id.'&glava&amp;ank='.$member['id'].'&del">x</a>]</span>';
			}
		echo '<br>';
		}
	echo '</div>';
		if($total > $set['str'])
	{
		pages($page, $total, 'clan.php?clan='.$clan_id.'&amp;member&amp;', $set['str']);
	}
	foot();
	exit;
	}
	
	/* MP СКИЛ */
	if(isset($_GET['skill_mp'])){
		if($user['clan']==$clan_id){
			if($user['mana']==$user['max_mana']){
			echo '<div id="error">Ваш запас маны полон<br>
			<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';	
			foot();
			exit;
			}
			if($clan['clan_mp']<40){
			echo '<div id="error">Не хватает маны.Минимум нужно 40 MP<br>
			<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';	
			foot();
			exit;
			}
			if($clan_mp+$user['mana'] >$user['max_mana']){
			mysql_query("UPDATE `users` SET `mana`=`max_mana` WHERE `id`='".$user['id']."'");
			}else{
			mysql_query("UPDATE `users` SET `mana`=`mana`+".$clan_mp." WHERE `id`='".$user['id']."'");
			}
		mysql_query("UPDATE `clan` SET `clan_mp`=`clan_mp`-'40' WHERE `id`='".$clan_id."'");
		echo '<div class="row">Клановый скил <b>Озарение</b> восстанавливает вам <b>'.$clan_mp.'</b> MP<br>
		<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';
		}else{
		echo '<div id="error">Вы не состоите в этом клане!</div>';
		}
	
	foot();
	exit;	
	}
		/* HP СКИЛ */
	if(isset($_GET['skill_hp'])){
		if($user['clan']==$clan_id){
			if($user['health']==$user['max_health']){
			echo '<div id="error">Ваш запас здоровья полон<br>
			<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';	
			foot();
			exit;
			}
			if($clan['clan_mp']<40){
			echo '<div id="error">Не хватает маны.Минимум нужно 40 MP<br>
			<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';	
			foot();
			exit;
			}
			if($clan_hp+$user['health'] >$user['max_health']){
			mysql_query("UPDATE `users` SET `health`=`max_health` WHERE `id`='".$user['id']."'");
			}else{
			mysql_query("UPDATE `users` SET `health`=`health`+".$clan_hp." WHERE `id`='".$user['id']."'");
			}
		mysql_query("UPDATE `clan` SET `clan_mp`=`clan_mp`-'40' WHERE `id`='".$clan_id."'");
		echo '<div class="row">Клановый скил <b>Лечение</b> восстанавливает вам <b>'.$clan_hp.'</b> HP<br>
		<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';
		}else{
		echo '<div id="error">Вы не состоите в этом клане!</div>';
		}
	
	foot();
	exit;	
	}
	/* КРИТ СКИЛ */
	if(isset($_GET['skill_crit'])){

		if($user['clan']==$clan_id){
			if($user['clan_critical']>time()){
			$ost_crit  = $user['clan_critical']-time();
			echo '<div id="error">Критический удар будет действовать еще '.Sec2Time($ost_crit) .'<br>
			<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';	
			foot();
			exit;
			}
			if($clan['kazna']<$cena_crit){
			echo '<div id="error">В казне не хватает золота.Должно быть минимум <img src="img/money/money.png"> '.$cena_crit.'<br>
			<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';	
			foot();
			exit;
			}
		$all_time_cr = time()+$time_crit;
		mysql_query("UPDATE `users` SET `clan_critical`='".$all_time_cr."' WHERE `id`='".$user['id']."'");
			
		mysql_query("UPDATE `clan` SET `kazna`=`kazna`-".$cena_crit." WHERE `id`='".$clan_id."'");
		echo '<div class="row">Клановый скил <b>Критический удар</b> будет действовать <b>'.Sec2Time($time_crit).'</b><br>
		<a href="clan.php?clan='.$clan_id.'">В клан</a></div>';
		}else{
		echo '<div id="error">Вы не состоите в этом клане!</div>';
		}
	
	foot();
	exit;	
	}
	/* Казна */
	if(isset($_GET['kazna'])){
		if($user['clan']==$clan_id){
		echo '<div class="name">Казна клана <a href="clan.php?clan='.$clan_id.'">'.$clan['name'].'</a></div>';
			if(empty($_POST['money'])){
			echo '<div class="row"><form action="clan.php?kazna&clan='.$clan_id.'" method="post">
			Сколько золота будем класть в казну?<br>
			<input type="text" name="money">
			<input type="submit" value="Ок"></div>';
			}else{
			$money = int($_POST['money']);
				if($user['money']<$money){
				echo '<div id="error">У вас нет столько денег!</div>';
				foot();
				exit;
				}
		mysql_query("INSERT INTO `clan_stena` SET
		`clan_id`='".$clan_id."',
		`user_id`='".$glava['id']."',
		`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> положил в казну <img src=\"img/money/money.png\"> ".$money."!',
		`time`='".time()."'");
			mysql_query("UPDATE `users` SET `money`=`money`-".$money." WHERE `id`='".$user['id']."'");
			mysql_query("UPDATE `clan` SET `kazna`=`kazna`+".$money." WHERE `id`='".$clan_id."'");
			header('Location: clan.php?clan='.$clan_id);
			}
		}else{
		echo '<div id="error">Вы не состоите в этом клане!</div>';
		}
	
	foot();
	exit;
	}
	////////////////

	echo '<div class="name">Клан: <b>'.$clan['name'].'</b></div><div class="row" style="overflow: hidden;">
	<img src="img/clan/'.$clan_id.'.'.$clan['img'].'"><br>
	<span style="font-size: 85%;">'.$clan['opis'].'</span><br>
	Глава клана: <a href="pers.php?ank='.$glava['id'].'">'.$glava['login'].'</a><br>
	<a href="clan.php?clan='.$clan_id.'&amp;member">Кто в клане?</a> ['.$total.' из '.$clan['member_limit'].']<br>
	<a href="clan.php?clan='.$clan_id.'&amp;bonus">Бонусы клана</a><br>';
		if($user['id']==$clan['komandir']){
		echo '<a href="clan.php?glava&amp;clan='.$clan_id.'">Управление кланом</a><br>';
		}
		if($user['clan']==$clan_id){
		echo '<a href="clan.php?exit">Выйти из клана</a><br>';
		echo '<a href="clan.php?kazna&amp;clan='.$clan_id.'">Положить деньги в казну</a><br>';
		}
	echo '</div>';
	$level_sql = mysql_query("SELECT * FROM `clan_level` ORDER BY `id`");
	while($row_level= mysql_fetch_assoc($level_sql)){
	if($row_level['oput']>$clan['clan_oput']) break;	
	}
	echo '<div class="row">
	Уровень клана: '.$clan['level'].'<br>
	Опыт: '.$clan['clan_oput'].'/'.$row_level['oput'].'<br>
	Казна клана: <img src="img/money/money.png"> '.$clan['kazna'].'<br>
	Мана <font color="#007FFF">'.$clan['clan_mp'].'</font>/<font color="#007FFF">'.$clan['clan_max_mp'].'</font><br>';
		if($user['clan']==$clan_id){
		echo '<a href="clan.php?skill_mp&amp;clan='.$clan_id.'"><img src="img/skill/clan_mp.png"></a>MP +'.$clan_mp.'
		<a href="clan.php?skill_hp&amp;clan='.$clan_id.'"><img src="img/skill/clan_hp.png"></a>HP +'.$clan_hp.'<br>';
		$crit_perc = round($clan['level']/1.85,2);
		echo '<a href="clan.php?skill_crit&amp;clan='.$clan_id.'"><img src="img/skill/clan_crit.png"></a>Крит +'.$crit_perc .' % / '.Sec2Time($time_crit).' / <img src="img/money/money.png"> '.$cena_crit .'<br>';
		}
		
	echo '</div>';
						/*СТена*/
	if($user['clan']==$clan_id){
	$total_stena = mysql_result(mysql_query("SELECT COUNT(id) FROM `clan_stena` WHERE `clan_id`='".$clan_id."'"),0);
	$stena_q = mysql_query("SELECT * FROM `clan_stena` WHERE `clan_id`='".$clan_id."' ORDER BY `time` DESC LIMIT ".$page.", ".$set['str']." ");
	echo '<div class="name">Стена:';
		if($user['id']==$clan['komandir'] OR $user['admins']>0){
		echo '[<a href="clan.php?clan='.$clan_id.'&glava&stena_del">Очистить</a>]';
		}
	echo '</div><div class="row"><form action="clan.php?clan='.$clan_id.'&stena" method="post">
	<textarea name="text"></textarea><input type="submit" value="Написать">
	</form></div><div class="row">';
		if($total_stena ==0){
		echo '</div><div class="row">Стена пуста.</div>';
		}else{
			while($stena = mysql_fetch_assoc($stena_q)){
			$ank = mysql_fetch_assoc(mysql_query("SELECT `login`,`id` FROM `users` WHERE `id`='".$stena['user_id']."' LIMIT 1"));
			echo '<span style="font-size: 80%"><a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a> ['.clock($stena['time']).'] '.smile($stena['text']).'</span><br>';
		
			}
			echo '</div>';
			if($total_stena > $set['str'])
			{
			pages($page, $total_stena, 'clan.php?clan='.$clan_id.'&amp;', $set['str']);
			}
		}
	
	}
	foot();
	exit;
	}
/* Создание */
	if(isset($_GET['new'])){
		if($user['money']<$new_clan){
		echo '<div id="error">У вас недостаточно средств<!/div>';
		foot();
		exit;
		}
		if($user['level']<15){
		echo '<div id="error">Клан можно создавать только с 15-го уровня!</div>';
		foot();
		exit;
		}
		if($user['clan']>0){
		echo '<div id="error">Вы не можете создать клан т.к. состоите в другом клане. Покиньте сначала тот клан в котором сосотоите,а после создавайте клан.</div>';
		foot();
		exit;
		}
	echo '<div class="name">Создание клана</div>';
	if($_FILES['gerb']['size']==0 OR empty($_POST['name']) OR empty($_POST['opis'])){
	echo '<div class="row">
	<form enctype="multipart/form-data" action="clan.php?new" method="POST">
	Название (макс. 30 символов)<br>
	<input type="text" name="name"><br>
	Описание(макс. 250 символов)<br>
	<textarea name="opis"></textarea><br>
	Максимальный рамер герба 12кб.Форматы: png,gif,jpg.<br>
	<input type="file" name="gerb" accept="image/png,image/jpeg,image/gif"><br>

	
	<input type="submit" value="Создать">
	</form></div>';
	}else{
		if($_FILES['gerb']['size']>12288){
		echo '<div id="error">Герб не должен превышать 12 кб!</div>';
		foot();
		exit;
		}
	$types = array('jpg','png','gif');
	$mime_types = array('image/png','image/jpeg','image/gif');
	$ex_type = explode('.', $_FILES['gerb']['name']);
		if(!in_array($_FILES['gerb']['type'],$mime_types) or !in_array($ex_type[count($ex_type)-1],$types)){
		echo '<div id="error">Не верный формат файла!</div>';
		foot();
		exit;
		}
		if(count($ex_type)>2){
		echo '<div id="error">Уберите точки из названия файла</div>';
		foot();
		exit;		
		}		
		if($user['clan']>0){
		echo '<div id="error">Вы сосотоите в клане!</div>';
		foot();
		exit;		
		}
		
	$name=protect($_POST['name']);
	$opis=protect($_POST['opis']);
	$test_komand = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `komandir`='".$user['id']."' LIMIT 1"));
	$test_clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `name`='".$name."' LIMIT 1"));
		if($test_clan){
		echo '<div id="error">Такой клан уже существует</div>';
		foot();
		exit;		
		}
		if($test_komand){
		echo '<div id="error">Вы уже командующий одного из кланов.</div>';
		foot();
		exit;		
		}
	$clan_dir = 'img/clan/';
	mysql_query("UPDATE `users` SET `money`=`money`-".$new_clan." WHERE `id`='".$user['id']."'");
	mysql_query("INSERT INTO `clan` SET
	`komandir`='".$user['id']."',
	`name`='".$name."',
	`opis`='".$opis."',
	`img`='".$ex_type[count($ex_type)-1]."',
	`time`='".time()."'");
	$save_gerb = 'img/clan/'.mysql_insert_id().'.'.$ex_type[count($ex_type)-1];
	copy($_FILES['gerb']['tmp_name'], $save_gerb);
		echo '<div class="row">Клан создан! Пора бы набрать сокланов.<br>
		<a href="clan.php?clan='.mysql_insert_id().'">Перейти в клан</a></div>';
		mysql_query("UPDATE `users` SET `clan`='".mysql_insert_id()."' WHERE `id`='".$user['id']."'");
	}
	foot();
	exit;
	}
	
	
	
	$clans_q = mysql_query("SELECT * FROM `clan` ORDER BY `clan_oput` DESC LIMIT ".$page.",".$set['str']." ");
	$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `clan`"),0);
		while($clans = mysql_fetch_assoc($clans_q)){
		echo '<div class="row"><img src="img/clan/'.$clans['id'].'.'.$clans['img'].'" width="50" height="50"> <a href="clan.php?clan='.$clans['id'].'">'.$clans['name'].'</a> ['.$clans['level'].']</div>';
		}
	echo '<div class="name"><a href="clan.php?new"> Создать клан</a> <img src="img/money/money.png"> '.$new_clan.'</div> ';
		if($user['clan']>0){
		echo '<div class="name"><a href="clan.php?clan='.$user['clan'].'"> Мой клан</a></div> ';
		}
	if($total > $set['str'])
	{
		pages($page, $total, 'clan.php?', $set['str']);
	}
foot();
?>